Package com.mapd.thrift.server

## Class TColumnRange

- java.lang.Object
- - com.mapd.thrift.server.TColumnRange

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TColumnRange>`, `org.apache.thrift.TBase<TColumnRange,​TColumnRange._Fields>`, `org.apache.thrift.TSerializable`

    public class TColumnRange
    extends Object
    implements org.apache.thrift.TBase<TColumnRange,​TColumnRange._Fields>, Serializable, Cloneable, Comparable<TColumnRange>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TColumnRange._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`long` `bucket`
`int` `col_id`
`double` `fp_max`
`double` `fp_min`
`boolean` `has_nulls`
`long` `int_max`
`long` `int_min`
`static Map<TColumnRange._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`int` `table_id`
`TExpressionRangeType` `type`

### Constructor Summary

Constructors
`TColumnRange()`
`TColumnRange​(TColumnRange other)` Performs a deep copy on other.
`TColumnRange​(TExpressionRangeType type, int col_id, int table_id, boolean has_nulls, long int_min, long int_max, long bucket, double fp_min, double fp_max)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TColumnRange other)`
`TColumnRange` `deepCopy()`
`boolean` `equals​(TColumnRange that)`
`boolean` `equals​(Object that)`
`TColumnRange._Fields` `fieldForId​(int fieldId)`
`long` `getBucket()`
`int` `getCol_id()`
`Object` `getFieldValue​(TColumnRange._Fields field)`
`double` `getFp_max()`
`double` `getFp_min()`
`long` `getInt_max()`
`long` `getInt_min()`
`int` `getTable_id()`
`TExpressionRangeType` `getType()`
`int` `hashCode()`
`boolean` `isHas_nulls()`
`boolean` `isSet​(TColumnRange._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetBucket()` Returns true if field bucket is set (has been assigned a value) and false otherwise
`boolean` `isSetCol_id()` Returns true if field col_id is set (has been assigned a value) and false otherwise
`boolean` `isSetFp_max()` Returns true if field fp_max is set (has been assigned a value) and false otherwise
`boolean` `isSetFp_min()` Returns true if field fp_min is set (has been assigned a value) and false otherwise
`boolean` `isSetHas_nulls()` Returns true if field has_nulls is set (has been assigned a value) and false otherwise
`boolean` `isSetInt_max()` Returns true if field int_max is set (has been assigned a value) and false otherwise
`boolean` `isSetInt_min()` Returns true if field int_min is set (has been assigned a value) and false otherwise
`boolean` `isSetTable_id()` Returns true if field table_id is set (has been assigned a value) and false otherwise
`boolean` `isSetType()` Returns true if field type is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TColumnRange` `setBucket​(long bucket)`
`void` `setBucketIsSet​(boolean value)`
`TColumnRange` `setCol_id​(int col_id)`
`void` `setCol_idIsSet​(boolean value)`
`void` `setFieldValue​(TColumnRange._Fields field, Object value)`
`TColumnRange` `setFp_max​(double fp_max)`
`void` `setFp_maxIsSet​(boolean value)`
`TColumnRange` `setFp_min​(double fp_min)`
`void` `setFp_minIsSet​(boolean value)`
`TColumnRange` `setHas_nulls​(boolean has_nulls)`
`void` `setHas_nullsIsSet​(boolean value)`
`TColumnRange` `setInt_max​(long int_max)`
`void` `setInt_maxIsSet​(boolean value)`
`TColumnRange` `setInt_min​(long int_min)`
`void` `setInt_minIsSet​(boolean value)`
`TColumnRange` `setTable_id​(int table_id)`
`void` `setTable_idIsSet​(boolean value)`
`TColumnRange` `setType​(TExpressionRangeType type)`
`void` `setTypeIsSet​(boolean value)`
`String` `toString()`
`void` `unsetBucket()`
`void` `unsetCol_id()`
`void` `unsetFp_max()`
`void` `unsetFp_min()`
`void` `unsetHas_nulls()`
`void` `unsetInt_max()`
`void` `unsetInt_min()`
`void` `unsetTable_id()`
`void` `unsetType()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### type

    public TExpressionRangeType type

See Also:
  `TExpressionRangeType`

#### col_id

    public int col_id

#### table_id

    public int table_id

#### has_nulls

    public boolean has_nulls

#### int_min

    public long int_min

#### int_max

    public long int_max

#### bucket

    public long bucket

#### fp_min

    public double fp_min

#### fp_max

    public double fp_max

#### metaDataMap

    public static final Map<TColumnRange._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TColumnRange

    public TColumnRange()

#### TColumnRange

    public TColumnRange​(TExpressionRangeType type,
                        int col_id,
                        int table_id,
                        boolean has_nulls,
                        long int_min,
                        long int_max,
                        long bucket,
                        double fp_min,
                        double fp_max)

#### TColumnRange

    public TColumnRange​(TColumnRange other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TColumnRange deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TColumnRange,​TColumnRange._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TColumnRange,​TColumnRange._Fields>`

#### getType

    public TExpressionRangeType getType()

See Also:
  `TExpressionRangeType`

#### setType

    public TColumnRange setType​(TExpressionRangeType type)

See Also:
  `TExpressionRangeType`

#### unsetType

    public void unsetType()

#### isSetType

    public boolean isSetType()

Returns true if field type is set (has been assigned a value) and false otherwise

#### setTypeIsSet

    public void setTypeIsSet​(boolean value)

#### getCol_id

    public int getCol_id()

#### setCol_id

    public TColumnRange setCol_id​(int col_id)

#### unsetCol_id

    public void unsetCol_id()

#### isSetCol_id

    public boolean isSetCol_id()

Returns true if field col_id is set (has been assigned a value) and false otherwise

#### setCol_idIsSet

    public void setCol_idIsSet​(boolean value)

#### getTable_id

    public int getTable_id()

#### setTable_id

    public TColumnRange setTable_id​(int table_id)

#### unsetTable_id

    public void unsetTable_id()

#### isSetTable_id

    public boolean isSetTable_id()

Returns true if field table_id is set (has been assigned a value) and false otherwise

#### setTable_idIsSet

    public void setTable_idIsSet​(boolean value)

#### isHas_nulls

    public boolean isHas_nulls()

#### setHas_nulls

    public TColumnRange setHas_nulls​(boolean has_nulls)

#### unsetHas_nulls

    public void unsetHas_nulls()

#### isSetHas_nulls

    public boolean isSetHas_nulls()

Returns true if field has_nulls is set (has been assigned a value) and false otherwise

#### setHas_nullsIsSet

    public void setHas_nullsIsSet​(boolean value)

#### getInt_min

    public long getInt_min()

#### setInt_min

    public TColumnRange setInt_min​(long int_min)

#### unsetInt_min

    public void unsetInt_min()

#### isSetInt_min

    public boolean isSetInt_min()

Returns true if field int_min is set (has been assigned a value) and false otherwise

#### setInt_minIsSet

    public void setInt_minIsSet​(boolean value)

#### getInt_max

    public long getInt_max()

#### setInt_max

    public TColumnRange setInt_max​(long int_max)

#### unsetInt_max

    public void unsetInt_max()

#### isSetInt_max

    public boolean isSetInt_max()

Returns true if field int_max is set (has been assigned a value) and false otherwise

#### setInt_maxIsSet

    public void setInt_maxIsSet​(boolean value)

#### getBucket

    public long getBucket()

#### setBucket

    public TColumnRange setBucket​(long bucket)

#### unsetBucket

    public void unsetBucket()

#### isSetBucket

    public boolean isSetBucket()

Returns true if field bucket is set (has been assigned a value) and false otherwise

#### setBucketIsSet

    public void setBucketIsSet​(boolean value)

#### getFp_min

    public double getFp_min()

#### setFp_min

    public TColumnRange setFp_min​(double fp_min)

#### unsetFp_min

    public void unsetFp_min()

#### isSetFp_min

    public boolean isSetFp_min()

Returns true if field fp_min is set (has been assigned a value) and false otherwise

#### setFp_minIsSet

    public void setFp_minIsSet​(boolean value)

#### getFp_max

    public double getFp_max()

#### setFp_max

    public TColumnRange setFp_max​(double fp_max)

#### unsetFp_max

    public void unsetFp_max()

#### isSetFp_max

    public boolean isSetFp_max()

Returns true if field fp_max is set (has been assigned a value) and false otherwise

#### setFp_maxIsSet

    public void setFp_maxIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TColumnRange._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TColumnRange,​TColumnRange._Fields>`

#### getFieldValue

    public Object getFieldValue​(TColumnRange._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TColumnRange,​TColumnRange._Fields>`

#### isSet

    public boolean isSet​(TColumnRange._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TColumnRange,​TColumnRange._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TColumnRange that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TColumnRange other)

Specified by:
  `compareTo` in interface `Comparable<TColumnRange>`

#### fieldForId

    public TColumnRange._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TColumnRange,​TColumnRange._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`